/*
 * This file contains a generic routine to read (and unread)
 * text lines
 */

#include <stdio.h>
#include <stdlib.h>

#include "read_line.h"

struct read_buf {
	struct read_buf *next;	/* next buffer */
	FILE *fp;	/* file pointer */
   char buf[BUFSIZ];	/* text buffer */
};

struct read_buf *ReadBuf = NULL;	/* no unread buffers yet */

int
read_line(char *buf, FILE *fp)
{
	char *p;

	if (buf == NULL || fp == NULL) return 1;	/* bad args */
	if (fgets(buf, BUFSIZ, fp) == NULL) return EOF; /* EOF */
   for (p=buf; *p != '\0' &&  *p != '\r' && *p != '\n'; p++);
   *p = '\0';
   return 0;	/* normal return */
}

int unread_line(char *buf, FILE *fp)
{
	if (buf == NULL || fp == NULL) return 1;	/* bad args */
   return 2;	/* not implemented yet */
}

int
readline_close(FILE *fp)
{
	return 0;
}

