/*				**** STUFF.H ****
 *
 * This is the header file for the stuff data structure
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "prodlist.h"

#define STUFF_MAXFLDS 5

/* basic data structure */
struct stuff {
   int id;			/* age of person */
	char *lname;	/* last name of person */
   char *fname;	/* first name of person */
   char *phone;	/* phone number */
};

/* function prototypes */
struct stuff *create_stuff(void);	/* create stuff structure */
void free_stuff(struct stuff *s);	/* free up memory */
void display_stuff(struct stuff *ent);
void save_stuff(FILE *fp, ProdPtrList *list);
void write_stuff(FILE *fp, struct stuff *ent);
void load_stuff(FILE *fp, ProdPtrList *list);
void append_stuff(FILE *fp, ProdPtrList *list);

