/*				**** GETINFO H **** */

/* version number */
#define VERSION "2.0"

#define OPT_ENTER		1
#define OPT_DISPLAY	2
#define OPT_NDX_NAME		21
#define OPT_SRCH_NAME	22
#define OPT_SAVE			90
#define OPT_DONE		99

/* basic data structure */
struct stuff {
   int id;			/* age of person */
	char *lname;	/* last name of person */
   char *fname;	/* first name of person */
   char *phone;	/* phone number */
};

/* function prototypes */
struct stuff *create_stuff(void);	/* create stuff structure */
void free_stuff(struct stuff *s);	/* free up memory */

